Unable to cancel "request is being processed" window when editing a host

09/22/2015 04:52 AM - Julien Pivotto

Status: Closed   

Priority: Normal   

Assignee: Alon Goldboim   

Category: Web Interface   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2817

  

Description

when you click "edit" in a host you have that modal:

"Loading... Spinner

Please wait while your request is being processed"

The modal has a close (X) button, I was expecting it just to cancel the action but it only hides the modal and the edit request keeps

processing.

Should we:

1. Remove the Close button

2. Really cancel the action

I think this applies in several locations

Related issues:

Related to Foreman - Bug #2592: No indication when waiting for host dashboard... Closed 05/30/2013

Associated revisions

Revision 2b647d93 - 10/14/2015 04:17 AM - Alon Goldboim

Fixes #11908 - removed the close button from the loading alert

Revision 53b9424e - 10/28/2015 11:18 AM - Alon Goldboim

Fixes #11908 - removed the close button from the loading alert

(cherry picked from commit 2b647d937e739b7e87b371d971a8e2ebdf65fa63)

History

#1 - 09/22/2015 04:55 AM - Julien Pivotto

- Subject changed from Unable to cancel ah to Unable to cancel editing a host

#2 - 09/22/2015 04:55 AM - Julien Pivotto

- Description updated

#3 - 09/22/2015 04:59 AM - Dominic Cleal

- Related to Bug #2592: No indication when waiting for host dashboard button action to complete added

#4 - 09/22/2015 04:59 AM - Dominic Cleal

- Subject changed from Unable to cancel editing a host to Unable to cancel "request is being processed" window when editing a host

- Category set to Web Interface
#5 - 10/13/2015 09:57 AM - Alon Goldboim

- Assignee set to Alon Goldboim

#6 - 10/13/2015 02:36 PM - Julien Pivotto

Alon, I am not working on this now, so feel free to take it! :)

#7 - 10/14/2015 02:52 AM - Alon Goldboim

Julien, great, on it.

#8 - 10/14/2015 03:23 AM - Alon Goldboim

Its bad UX but i can see that the purpose of the close button was to close the alert panel and not cancel the routing.

Im removing the btn.

#9 - 10/14/2015 03:25 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2817 added

- Pull request deleted ()

#10 - 10/14/2015 03:54 AM - Julien Pivotto

This is annoying when you have a request that fails. It would be better to really be able to cancel the request (maybe with an explicit cancel button)

Another behaviour would be that when a request fails an error message replaces  modal.

It is very annoying not to have the close button when you have 500 errors or network errors.

#11 - 10/14/2015 04:19 AM - Dominic Cleal

- translation missing: en.field_release set to 63

Seems your comment was missed, it's been merged without cancelling the request - only removing the button.

#12 - 10/14/2015 05:01 AM - Alon Goldboim

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2b647d937e739b7e87b371d971a8e2ebdf65fa63.

#13 - 10/14/2015 05:05 AM - Julien Pivotto

:(
